gnutls_certificate_get_ours(3)

NAME
gnutls_certificate_get_ours - API function

SYNOPSIS
#include <gnutls/gnutls.h>

const gnutls_datum_t * gnutls_certificate_get_ours(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls session

DESCRIPTION
Gets the certificate as sent to the peer in the last handshake. The certificate is in raw (DER) format. No certificate list is being returned. Only the first certificate.

RETURNS
a pointer to a gnutls_datum_t containing our certificate, or NULL in case of an error or if no certificate was used.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2012 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/